commit: edbbacd44894930e4b87f613132e7a99385bbaae
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 16 03:28:24 2025 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Feb 16 03:28:24 2025 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=edbbacd4
dev-python/pyotherside: Bump to 1.6.2
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/pyotherside/Manifest | 1 +
dev-python/pyotherside/pyotherside-1.6.2.ebuild | 104 ++++++++++++++++++++++++
2 files changed, 105 insertions(+)
diff --git a/dev-python/pyotherside/Manifest b/dev-python/pyotherside/Manifest
index 5c064d96db65..1c26a8d99272 100644
--- a/dev-python/pyotherside/Manifest
+++ b/dev-python/pyotherside/Manifest
@@ -1 +1,2 @@
DIST pyotherside-1.6.1.tar.gz 184539 BLAKE2B
32c017b6d3a64a3125f779a0201ee15288fbcc84bf070442dc542df525f5994cee6b334d86ff2bbbcada39f645ac2e900a459d729c4f8c838d529fb33bdf1226
SHA512
ea672405b97d09b3c4f1266b1714da5e127c47f8f1c99caa282bd823261c06a0b02e7094185724863f339a0bd35d45426bdf6e8cb7d37a8a23d1d18e81939d9d
+DIST pyotherside-1.6.2.tar.gz 184620 BLAKE2B
78e02274f71a30c6bc0d78eb993d070e7dfc9487c3964ceb4138338180b00e837006de6c15adb6168c52dab87959961e2b2cf40cce5eb123e01aaaf06fc03cad
SHA512
5f625b733bf9b15b16236be836696d62c9297bafcbb491dc2ec353522612c1b593379c130e281b7b259acdbffb5cd89fb46e060969d29e7ed2d1452c6bbf43d2
diff --git a/dev-python/pyotherside/pyotherside-1.6.2.ebuild
b/dev-python/pyotherside/pyotherside-1.6.2.ebuild
new file mode 100644
index 000000000000..f09d771317cc
--- /dev/null
+++ b/dev-python/pyotherside/pyotherside-1.6.2.ebuild
@@ -0,0 +1,104 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..13} )
+
+inherit multibuild qmake-utils python-single-r1
+
+DESCRIPTION="Asynchronous Python 3 Bindings for Qt"
+HOMEPAGE="
+ https://github.com/thp/pyotherside/
+ https://thp.io/2011/pyotherside/
+"
+SRC_URI="
+ https://github.com/thp/pyotherside/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~riscv"
+IUSE="qt5 qt6"
+
+REQUIRED_USE="
+ ${PYTHON_REQUIRED_USE}
+ || ( qt5 qt6 )
+"
+
+DEPEND="
+ ${PYTHON_DEPS}
+ qt5? (
+ dev-qt/qtcore:5
+ dev-qt/qtdeclarative:5
+ dev-qt/qtgui:5
+ dev-qt/qtopengl:5
+ dev-qt/qtsvg:5
+ )
+ qt6? (
+ dev-qt/qtbase:6[opengl]
+ dev-qt/qtdeclarative:6[opengl]
+ dev-qt/qtquick3d:6[opengl]
+ dev-qt/qtsvg:6
+ )
+"
+RDEPEND="
+ ${DEPEND}
+"
+
+pkg_setup() {
+ MULTIBUILD_VARIANTS=( $(usev qt5) $(usev qt6) )
+ python_setup
+}
+
+src_prepare() {
+ default
+ sed -i -e "s/qtquicktests//" pyotherside.pro || die
+ multibuild_copy_sources
+}
+
+src_configure() {
+ myconfigure() {
+ pushd "${BUILD_DIR}" > /dev/null || die
+
+ case ${MULTIBUILD_VARIANT} in
+ qt5)
+ eqmake5
+ ;;
+ qt6)
+ eqmake6
+ ;;
+ *)
+ # This should never happen if REQUIRED_USE is
enforced
+ die "Neither Qt5 nor Qt6 support enabled,
aborting"
+ ;;
+ esac
+
+ popd > /dev/null || die
+ }
+
+ multibuild_foreach_variant myconfigure
+}
+
+src_compile() {
+ mycompile() {
+ emake -C "${BUILD_DIR}"
+ }
+
+ multibuild_foreach_variant mycompile
+}
+
+src_test() {
+ mytest() {
+ QT_QPA_PLATFORM="offscreen" "${BUILD_DIR}"/tests/tests || die
+ }
+
+ multibuild_foreach_variant mytest
+}
+
+src_install() {
+ myinstall() {
+ emake -C "${BUILD_DIR}" install INSTALL_ROOT="${D}"
+ }
+
+ multibuild_foreach_variant myinstall
+}